: Class MimeEncoder

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grendel.mime.encoder
Class MimeEncoder

    java.lang.Object
      |
      +--grendel.mime.encoder.MimeEncoder

Direct Known Subclasses:
  MimeBase64Decoder, MimeBase64Encoder, MimeQuotedPrintableDecoder, MimeQuotedPrintableEncoder, MimeUUDecoder, MimeUUEncoder

public abstract class MimeEncoder
extends java.lang.Object

Constructor Summary
`MimeEncoder()`

Method Summary
`abstract void` | `eof(ByteBuf out)` Tell the decoder that no more input data will be forthcoming.
`abstract void` | `translate(ByteBuf in, ByteBuf out)` Given a sequence of input bytes, produces a sequence of output bytes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MimeEncoder

    public MimeEncoder()

Method Detail

### translate

    public abstract void translate(ByteBuf in,
                                   ByteBuf out)

  Given a sequence of input bytes, produces a sequence of output bytes. Note that some (small) amount of buffering may be necessary, if the input byte stream didn't fall on an appropriate boundary. If there are bytes in `out' already, the new bytes are appended, so the caller should do `out.setLength(0)' first if that's desired.

### eof

    public abstract void eof(ByteBuf out)

  Tell the decoder that no more input data will be forthcoming. This may result in output, as a result of flushing the internal buffer. This object must not be used again after calling eof(). If there are bytes in `out' already, the new bytes are appended, so the caller should do `out.setLength(0)' first if that's desired.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD